/**
 * 公共方法
 * hx
 * 2015-11-19
 * 
 * ------方法名及功能--------
 * GetFirstWord(str)  //获取第一个文字   参数 str 字符串
 * getConfigInfo() 	//配置公共信息 
 * getUserInfo()    //获取用户信息
 * ajaxRequest("请求地址","data参数","回调函数名称") //ajax请求方法
 * mui.back 		//双击退出
 * isNetwork()      //判断当前网络是否连接 弹出提示框 返回bool类型
 * getNetwork()     //获取当前连接网络类型返回 网络名字符串
 * isFistStart()   //判断是否为第一次启动
 * call(PhoneNumber) //调用系统API直接拨打电话
 * playVideo(src)    //调用第三方播放视频
 * GetPhoneNumber    //获取安卓平台手机号码
 * VersionDetection() //版本跟新
 * DownloadApk(data)//版本检测回调函数 有新版本自动下载安装
 * **/

/*
 * @description 设置webview样式默认开启硬件加速，侧滑返回为关闭窗口close,回弹为垂直方向 vertical,回弹颜色为#efeff4
 */
var scriptUrl = "../../config.json";

function wvStyle(pop, bounce, bouncebg) {
	if(pop == null) {
		pop = 'close';
	}
	if(bounce == null) {
		bounce = 'vertical';
	}
	if(bouncebg == null) {
		bouncebg = '#efeff4'
	}
	plus.webview.currentWebview().setStyle({
		popGesture: pop,
		bounce: bounce,
		bounceBackground: bouncebg
	})
}

// 获取第一个文字
function GetFirstWord(str) {
	if(str == null) {
		return
	}
	return str.substring(0, 1);
}

//配置公共信息 
function getConfigInfo() {
	var BasicInfo = {};
	BasicInfo.SchoolName = "合肥第六中学"; //学校名称
	//BasicInfo.RequestUrl = "http://hflz.jxptedu.cn/"; //访问地址
	//BasicInfo.RequestUrl = "http://218.22.0.89:7172/";
	//BasicInfo.RequestUrl = "http://10.5.14.33:9038/";
	//BasicInfo.RequestUrl = "http://10.5.16.20:8082/";
	BasicInfo.RequestUrl = "http://218.22.0.89:81/";
	localStorage.RequestUrl = BasicInfo.RequestUrl;

	return BasicInfo;
}

//获取用户信息
function getUserInfo() {
	var UserInfo = {};
	UserInfo.GUID = localStorage.GUID; //ID
	UserInfo.Account = localStorage.Account; //账号
	UserInfo.UserName = localStorage.UserName; //姓名
	UserInfo.PassWord = localStorage.PassWord; //密码
	UserInfo.UserSex = localStorage.UserSex; //性别
	UserInfo.Headimg = localStorage.Headimg; //头像
	UserInfo.AutomaticLogin = localStorage.AutomaticLogin; //自动登录  1 是  0否
	return UserInfo;
}

//ajax方法重写,下面一个不好用....
function ajax(url, data, type, callback) {
	var config = getConfigInfo();
	console.log(config.RequestUrl + 'ashxMobile/' + url);
	$.ajax({
		type: type || "get",
		url: config.RequestUrl + 'ashxMobile/' + url,
		data: data || "",
		dataType: "json",
		cache: false,
		timeout: 10000, //超时时间：10秒
		success: callback,
		error: function(xhr, textStatus) {
			console.log('错误')
			console.log(JSON.stringify(xhr))
			console.log(textStatus)
		}
	});
}

//ajax请求方法
function ajaxRequest(RequestUrl, value, CallbackMethod) {
	$.ajaxSetup({
		cache: false //close AJAX cache 
	});

	var config = getConfigInfo();
	value.t = new Date().getTime();
	console.log(config.RequestUrl + RequestUrl + value + CallbackMethod)
	$.ajax({
		type: "post",
		url: config.RequestUrl + RequestUrl,
		timeout: 10000,
		cache: false, //默认值true
		data: value,
		dataType: "jsonp",
		jsonp: "Method", //传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(默认为:callback)
		jsonpCallback: CallbackMethod,
		error: function(e) {
			console.log('网络异常!' + JSON.stringify(e));
			plus.nativeUI.closeWaiting();
		}
	});
}

//判断当前网络是否连接 弹出提示框 retur n bool
function isNetwork() {
	if(getNetwork() == "None connection") {
		mui.toast('网络异常！');
		return false;
	} else {
		return true;
	}
}

//获取当前网络类型
function getNetwork() {
	var types = {};
	//未知连接
	mui.plusReady(function() {
		types[plus.networkinfo.CONNECTION_UNKNOW] = "Unknown connection";
		//无网络连接
		types[plus.networkinfo.CONNECTION_NONE] = "None connection";
		//以太网连接
		types[plus.networkinfo.CONNECTION_ETHERNET] = "Ethernet connection";
		//WiFi连接
		types[plus.networkinfo.CONNECTION_WIFI] = "WiFi connection";
		//2G连接
		types[plus.networkinfo.CONNECTION_CELL2G] = "Cellular 2G connection";
		//3G连接
		types[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection";
		//4G连接
		types[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection";

		return types[plus.networkinfo.getCurrentType()];
	})
}

/**
 * @description 调用系统播放器播放视频 src:视频地址
 */
function PlayVideo(src) {
	var Intent = plus.android.importClass("android.content.Intent");
	var Uri = plus.android.importClass("android.net.Uri");
	var main = plus.android.runtimeMainActivity();
	var intent = new Intent(Intent.ACTION_VIEW);
	var uri = Uri.parse(src); //视频地址
	intent.setDataAndType(uri, "video/*");
	main.startActivity(intent);
}

//获取安卓平台手机号码
function GetPhoneNumber() {
	var userinfo = {
		msisnd: null,
		phone: null
	}
	switch(plus.os.name) {
		case "Android":
			// 程序全局环境对象
			var mainActivity = plus.android.runtimeMainActivity();
			var Context = new plus.android.importClass("android.content.Context");
			var TelephonyManager = new plus.android.importClass("android.telephony.TelephonyManager");
			var tm = mainActivity.getSystemService(Context.TELEPHONY_SERVICE);
			userinfo.msisdn = tm.getLine1Number();
			plus.storage.setItem("msisdn", userinfo.msisdn);
			if(userinfo.msisdn != "") {
				userinfo.phone = userinfo.msisdn;
				plus.storage.setItem("phone", userinfo.msisdn);
			}
			break;
		case "iOS":
			break;
		default:
			break;
	}
	return userinfo.msisdn;
}

//版本更新
function VersionDetection() {
	var data = {};
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		data.BBH = inf.version;
		console.log(data.BBH)
		localStorage.BBH = inf.version;
		ajaxRequest("ashxMobile/login.ashx", data, "DownloadApk");
	});
}

//版本检测回调函数 有新版本自动下载安装
function DownloadApk(data) {
	if(data != "1") {
		var ua = navigator.userAgent.toLowerCase();
		if(/android/.test(ua)) {
			plus.nativeUI.confirm("检测到新版,是否立即下载?", function(e) {
				if(e.index == 0) {
					console.log(JSON.stringify(e));
					var sw = plus.nativeUI.showWaiting('检测到新版正在下载...');
					// 弹出提示信息对话框

					var str = data.M_UpdateContent.split('^');
					var html_str = "";
					for(var i = 0; i < str.length; i++) {
						html_str += str[i] + '\n';
					}
					plus.nativeUI.confirm(html_str, function(e) {}, "版本更新", ["关闭"]);
					var task = plus.downloader.createDownload(data.M_DownloadUrl, {}, function(d, status) {
						if(status == 200) { // 下载成功
							plus.nativeUI.closeWaiting();
							var path = d.filename;
							plus.runtime.install(path);
						} else { //下载失败
							mui.toast('资源包自动下载失败.跳转网页版下载！');
							plus.runtime.openURL(data.M_DownloadUrl);
						}
					});
					task.start();
				}
			}, "版本更新", ["确定", "取消"])
		} else if(/iphone|ipad|ipod/.test(ua)) {
			$.ajax({
				type: "get",
				dataType: 'json',
				url: "https://itunes.apple.com/lookup?id=1310253640", //获取当前上架APPStore版本信息 
				data: {
					id: 1310253640 //APP唯一标识ID B5教程网 
				},
				contentType: 'application/x-www-form-urlencoded;charset=UTF-8',
				success: function(data) {
					if(localStorage.BBH != data.results[0].version) {
						plus.nativeUI.confirm("检测到新版,是否立即下载?", function(e) {
							if(e.index == 0) {
								document.location.href = 'https://itunes.apple.com/cn/app/合肥六中-数字化校园/id1310253640?mt=8'; //上新APPStore下载地址
							}
						})
					}
					return;
				}
			});
		}
	}

}

/**
 * @description 推送信息 url:接口地址,Interface:接口名称 推送数据封装 AId:这条数据的ID,type:消息的类别 1： 公告  2：请假 3：报修 4：出差 5：阶梯教室,jsrId:接收人GUID  所有人为 all,title:推送消息 手机状态栏展示的标题,content:推送消息 手机状态栏展示的内容
 */
function PushInfo(url, Interface, AID, type, jsrId, title, content) {
	var data = {};
	data.Message = createParam(AID, type, jsrId, title, content);
	if(isNetwork()) {
		ajaxRequest(url, data, Interface);
	}
}

/**
 * @description 推送数据封装 AId:这条数据的ID,type:消息的类别 1： 公告  2：请假 3：报修 4：出差 5：阶梯教室,jsrId:接收人GUID  所有人为 all,title:推送消息 手机状态栏展示的标题,content:推送消息 手机状态栏展示的内容
 */
function createParam(AID, type, jsrId, title, content) {
	var Message = {};
	Message.Id = AID; //这条数据的ID
	Message.Url = type; //消息的类别 1： 公告  2：请假 3：报修 4：出差 5：阶梯教室
	Message.JsrId = jsrId; //接收人GUID  所有人为 all
	Message.Title = title; //推送消息 手机状态栏展示的标题
	Message.Content = content; //推送消息 手机状态栏展示的内容
	return "json=" + JSON.stringify(Message);
}

/**
 * @description 监听在线消息事件
 */
function MonitoringMessage() {
	mui.plusReady(function() {

		// 扩展API加载完毕，现在可以正常调用扩展API 

		// 添加监听服务端透传消息
		plus.push.addEventListener("receive", function(msg) {
			getPushMsg(msg);
		}, false);

		// 添加监听从本地消息点击事件
		plus.push.addEventListener("click", function(msg) {
			//getClickPushMsg(msg);
		}, false);
	});
}

//创建本地
function createLocalPushMsg(msg, title) {
	mui.plusReady(function() {
		var options = {
			cover: false
		};
		plus.push.createMessage(title, msg, options);
	});
}

/**
 * @description 解析服务端推送的数据
 */
function getPushMsg(msg) {
	// 分析msg.payload处理业务逻辑 
	var obj = JSON.parse(msg.content);
	var title = obj.Type + obj.Content;
	createLocalPushMsg(msg.content, title);
}

/**
 * @description 解析本地推送的数据点击事件
 */
function getClickPushMsg(msg) {
	// 分析msg.payload处理业务逻辑 
	var obj = JSON.parse(msg.payload);
	var title = obj.Type + obj.Content;
	// 1: 公告 2：请假 3：报修 4：出差 5：阶梯教室  
	//	if(obj.hrefUrl=="1"){
	//		openView("/Html/work/noticeDetails.html", obj.Id);
	//	}else if(obj.hrefUrl=="2"){
	//	    mui.openWindow('Html/head/Head_leave_power_teacher.html', 'qj')
	//	}else if(obj.hrefUrl=="3"){
	//		localStorage.Rid = obj.Id;
	//	    mui.openWindow('Html/repair/teacher/repairs_detailedInfo_teacher.html', 'bx');
	//	}else if(obj.hrefUrl=="4"){
	//		mui.openWindow('Html/head/Head_travel_power_teacher.html', 'cc');
	//	}else if(obj.hrefUrl=="5"){
	//		mui.openWindow('Html/head/Head_ladderRoom_power_teacher.html', 'jtjs');
	//	}
	//	
}

/*
 * android平台通过Native.js获取电池电量等信息
 * @description 需要添加权限 <uses-permission android:name="android.permission.BATTERY_STATS" />
 */
function listen_Battery() {
	try {
		var main = plus.android.runtimeMainActivity(); //获取activity
		var Intent = plus.android.importClass('android.content.Intent');
		var receiver;
		recevier = plus.android.implements('io.dcloud.feature.internal.reflect.BroadcastReceiver', {
			onReceive: function(context, intent) { //实现onReceiver回调函数
				try {
					var BatteryManager = plus.android.importClass('android.os.BatteryManager');
					var action = intent.getAction();
					if(action == Intent.ACTION_BATTERY_CHANGED) {
						var status = intent.getIntExtra("status", 0);
						var health = intent.getIntExtra("health", 0);
						var present = intent.getBooleanExtra("present", false);
						var level = intent.getIntExtra("level", 0);
						var scale = intent.getIntExtra("scale", 0);
						var icon_small = intent.getIntExtra("icon-small", 0);
						var plugged = intent.getIntExtra("plugged", 0);
						var voltage = intent.getIntExtra("voltage", 0);
						var temperature = intent.getIntExtra("temperature", 0);
						var technology = intent.getStringExtra("technology");

						var statusString = "";
						switch(status) {
							case BatteryManager.BATTERY_STATUS_UNKNOWN:
								statusString = "unknown";
								break;
							case BatteryManager.BATTERY_STATUS_CHARGING:
								statusString = "charging";
								break;
							case BatteryManager.BATTERY_STATUS_DISCHARGING:
								statusString = "discharging";
								break;
							case BatteryManager.BATTERY_STATUS_NOT_CHARGING:
								statusString = "not charging";
								break;
							case BatteryManager.BATTERY_STATUS_FULL:
								statusString = "full";
								break;
						}
						var healthString = "";
						switch(health) {
							case BatteryManager.BATTERY_HEALTH_UNKNOWN:
								healthString = "unknown";
								break;
							case BatteryManager.BATTERY_HEALTH_GOOD:
								healthString = "good";
								break;
							case BatteryManager.BATTERY_HEALTH_OVERHEAT:
								healthString = "overheat";
								break;
							case BatteryManager.BATTERY_HEALTH_DEAD:
								healthString = "dead";
								break;
							case BatteryManager.BATTERY_HEALTH_OVER_VOLTAGE:
								healthString = "voltage";
								break;
							case BatteryManager.BATTERY_HEALTH_UNSPECIFIED_FAILURE:
								healthString = "unspecified failure";
								break;
						}
						var acString = "";
						switch(plugged) {
							case BatteryManager.BATTERY_PLUGGED_AC:
								acString = "plugged ac";
								break;
							case BatteryManager.BATTERY_PLUGGED_USB:
								acString = "plugged usb";
								break;
						}
						var s = "";
						s = "status:" + statusString + "\n" + "health:" + healthString + "\n" + "present:" + present + "\n" + "level:" + level + "\n" + "scale:" + scale + "\n" + "icon_small:" + icon_small + "\n" + "plugged:" + acString + "\n" + "voltage:" + voltage + "\n" + "temperature:" + temperature + "\n" + "technology:" + technology + "\n";
						main.unregisterReceiver(receiver);
					}
				} catch(e1) {
					console.log(e1);
				}
			}
		});
		var IntentFilter = plus.android.importClass('android.content.IntentFilter');
		var filter = new IntentFilter();
		filter.addAction(Intent.ACTION_BATTERY_CHANGED);
		main.registerReceiver(receiver, filter); //注册监听
	} catch(e) {
		console.log(e);
	}
}

/**
 * @description  查询权限
 * @param {String} 要查询的权限缩写
 */
function searchJurisdiction(menuno) {
	console.log("判断权限(" + localStorage.GUID + ")：" + menuno);
	var config = getConfigInfo();
	var GetData = {}
	GetData.id = localStorage.GUID;
	GetData.menuno = menuno;             
	plus.nativeUI.showWaiting();
	if(isNetwork()) {
		ajaxRequest("ashxMobile/examine.ashx", GetData, "SearchJurisdiction");
	}
}