/*
 * 图片上传  hx 2015-11-24
 * 
 * imgID  img标签 ID
 * 
 * getImage(imgID) //拍照
 * appendByGallery(imgID)  从相册选择
 */

// 拍照 
function getImage(imgID) {
	var cmr = plus.camera.getCamera().captureImage(function(p) {
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			var path = entry.toLocalURL();
			compressImage(path, imgID)
		});
	}, function(error) {
		console.log("照片添加失败: " + error.message);
	});
}

// 从相册添加文件 
function appendByGallery(imgID) {
	plus.gallery.pick(function(path) {
		compressImage(path, imgID);
	}, function(e) {
		console.log(e.message)
	});
}

function compressImage(path, imgID) {
	var dst = "_doc/photo/" + Math.random(100) + '.jpg';
	plus.zip.compressImage({
			src: path,
			format: 'jpg',
			dst: dst,
			quality: 50,
			width: "500px",
			overwrite: true
		},
		function(e) {
			dst = plus.io.convertLocalFileSystemURL(dst); //转换一下平台路径
			plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
				var rootEntry = fs.root;
				var reader = null;
				rootEntry.getFile(dst, {}, function(entry) {
					entry.file(function(file) {
							reader = new plus.io.FileReader();
							reader.onloadend = function(e) {
								document.getElementById(imgID).src = e.target.result;
								$("#" + imgID).css('display', 'block');
								createUpload(guid(), e.target.result);
							};
							reader.readAsDataURL(file);
						},
						function(e) {
							console.log('base64' + e.message);
						});
				});
			});
		},
		function(error) {
			console.log(error.message + error.code);
		});
}

var r = null;
// 创建上传任务
function createUpload(guid, base64) {
	var task = plus.uploader.createUpload(localStorage.RequestUrl + "/ashxMobile/IuploadImg.ashx", {
			method: "POST",
			blocksize: 82204800,
			priority: 100,
			retryInterval: 5
		},
		function(t, status) {
			// 上传完成
			if (status == 200) {
				mui.toast('图片上传成功!');
				document.getElementById("imgpath").value = '/uploadFiles/Mobile/' + guid + '.jpg';
				if (typeof setAvatar == 'undefined') {} else { //判断是否存在这个方法
					setAvatar();
				}
			} else {
				mui.toast('图片上传失败!');
			}
		}
	);
	task.addData("base64", guid + base64);
	task.addEventListener('statechanged', onStateChanged, false);
	task.start();
}

function onStateChanged(upload, status) {
	try {
		var size = upload.uploadedSize;
		var totalSize = upload.totalSize;
		var bfb = Math.floor(100 * totalSize / size);
	} catch (uploade) {
		console.log('处理出错了！' + uploade.message);
	}
}

//生成guid 作为图片名称
function guid() {
	return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
		var r = Math.random() * 16 | 0,
			v = c == 'x' ? r : (r & 0x3 | 0x8);
		return v.toString(16);
	});
}