/**
 * 登录
 * hx
 * 2015-11-19
 **/
mui.init();
mui.plusReady(function() {
	isNetwork(); //检测网络
	$("#account").val(localStorage.Account);
	$("#password").val(localStorage.PassWord);
	if (localStorage.PassWord != null && localStorage.restart == '1') {
		Login();
	} else {
		if (!mui.os.ios) {
			plus.navigator.closeSplashscreen();
			FirstLogin(); //检测是否第一次登陆
		}
	}
	document.getElementById("login").addEventListener('tap', function() {
		Login(); //登录
	});

	//检测版本自动更新
	/*if (mui.os.android) {
		VersionDetection();
	}*/
	wvStyle('none', null, '#FFFFFF');
})

//检测是否第一次登陆
function FirstLogin() {
	//读取本地存储，检查是否为首次启动
	var showGuide = plus.storage.getItem("lauchFlag");
	if (showGuide) {
		//有值，说明已经显示过了，无需显示；
		//关闭splash页面；
		plus.navigator.closeSplashscreen();
		plus.navigator.setFullscreen(false);
	} else {
		//显示启动导航
		mui.openWindow({
			id: 'Hello',
			url: 'Hello.html',
			show: {
				aniShow: 'none'
			},
			waiting: {
				autoShow: false
			}
		});
	}
}

//登录验证 
function Login() {
	document.activeElement.blur();  
	var account = document.getElementById("account").value;
	var password = document.getElementById("password").value;
	
	/*非空验证STAR*/
	if (account == "") {
		return mui.toast("请输入正确的用户名");
	}
	if (password == "") {
		return mui.toast("请输入正确的密码");
	}
	plus.nativeUI.showWaiting('正在登录...', {
		padlock: true
	});
	/*非空验证END*/
	var data = {
		userName: account,
		password: password,
		mobilId: plus.push.getClientInfo().clientid,
		version: plus.runtime.version
	}

	if (isNetwork()) {
		ajaxRequest("ashxMobile/login.ashx", data, "MobileLogin");
	} else {
		plus.nativeUI.closeWaiting();
	}
}

function GetInfo(LoginErrorLog) {
	stt.getDevice(function(rs) {
		if (!mui.os.ios) {
			plus.geolocation.getCurrentPosition(function(p) { //用户位置信息
				PostInfo(rs, p, LoginErrorLog);
			}, function(e) {
				PostInfo(rs, false, LoginErrorLog);
				console.log("Geolocation error: " + e.message);
			}, {
				enableHighAccuracy: false,
			});
		} else {
			PostInfo(rs, false, LoginErrorLog);
		};
	});
}

function PostInfo(rs, p, LoginErrorLog) {
	var addresses = '';
	if (!p) {
		addresses = '无法获取位置信息!';
	} else {
		addresses = p.addresses;
	}
	var Pdata = {
		LoginId: localStorage.GUID,
		LoginAccount: localStorage.Account,
		LoginName: localStorage.UserName,
		LoginPlace: addresses,
		DeviceVendor: rs.vendor,
		DeviceModel: rs.model,
		OsVersion: rs.osVersion,
		OsName: rs.osName,
		NetWorkType: rs.networkinfo,
		RuntimeVersion: rs.appVersion,
		LoginErrorLog: LoginErrorLog,
		addedJson: JSON.stringify(rs),
	}
	mui.ajax(localStorage.RequestUrl + 'ashxMobile/Statistics.ashx?method=GetStatisticsInfo', {
		data: Pdata,
		type: 'post'
	});
}

//登录方法回调函数
function MobileLogin(data) {
	plus.nativeUI.closeWaiting();
	switch (data) {
		case -4:
			mui.toast("该用户由于输入错误密码次数过多被锁定，10分钟内该账户被锁定！");
			GetInfo("该用户由于输入错误密码次数过多被锁定，10分钟内该账户被锁定！");
			break;
		case -3:
			mui.toast("该用户由于输入错误密码次数过多被锁定，请联系学校管理员！");
			GetInfo("该用户由于输入错误密码次数过多被锁定，请联系学校管理员！");
			break;
		case -2:
			mui.toast('该用户不存在!');
			GetInfo('该用户不存在!')
			break;
		case -1:
			mui.toast('用户名与密码不匹配！');
			GetInfo("用户名与密码不匹配！")
			break;
		case 1:
			break;
		case 2:
			mui.toast('区域用户不能登录该系统');
			GetInfo("区域用户不能登录该系统")
			break;
		case 3:
			mui.toast('该用户已被锁定!');
			GetInfo('该用户已被锁定!');
			break;
		default:
			localStorage.GUID = data.FGuid; //ID
			localStorage.Account = data.Username; //账号
			localStorage.UserName = data.Turename; //姓名
			localStorage.PassWord = data.realPassword; //密码

			if (data.Headimg == null) {
				localStorage.Headimg = "无";
			} else {
				localStorage.Headimg = data.Headimg; //头像
			}
			localStorage.UserSex = "未知"; //性别
			localStorage.restart = '1';
			GetInfo("正常登陆!");
			mui.openWindow('Html/head/Head_work.html', 'work.html', {
				styles: {
					hardwareAccelerated: true,
				},
				show: {
					aniShow: 'zoom-fade-out',
				},
				waiting: {
					autoShow: false
				}
			});
	}
}

//双击退出
var preTime = 0;
mui.back = function() {
	var now = new Date().getTime();
	if (now - preTime > 2000) {
		preTime = now;
		mui.toast('再按一次退出应用');
	} else {
		plus.runtime.quit();
	}
};