/*
 * 成绩查询 wx 2015-12-23
 */
mui.init({
	pullRefresh: {
		container: '#refreshContainer', //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		up: {
			contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
			contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
			callback: GetSelectScoresList //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

mui.plusReady(function() {
	GetClassList(); //获取班级列表
	Jump();
	wvStyle(null, 'none');
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	if (mui.os.ios) {
		mui('.mui-scroll-wrapper').scroll({
			boucne: false,
			indicators: true, //是否显示滚动条
			deceleration: deceleration,
		});
	}
})

//获取班级列表
function GetClassList() {
	var GetData = {};
	GetData.Uid = localStorage.GUID; //当前用户id
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Score.ashx", GetData, "IGetGradeAndClassByTeaId");
	}
}

var GradeId, ClassId, oldClassId;
//渲染班级选择器
function IGetGradeAndClassByTeaId(data) {
	if (data == null) {
		return mui.toast('没有班级数据!');
	}
	var html = '<span class="mui-icon mui-icon-arrowdown mui-pull-right"></span>';
	var userPicker = new mui.PopPicker({
		layer: 2
	});
	userPicker.setData(data);
	var showPicker = document.getElementById('showPicker');
	var showResult = document.getElementById('showResult');
	GradeId = data[0].value; //年级id
	ClassId = data[0].children[0].value; //定义班级id
	showResult.innerHTML = data[0].text + data[0].children[0].text + html;
	GetSelectScoresList();
	showPicker.addEventListener('tap', function(event) {
		userPicker.show(function(items) {
			showResult.innerHTML = (items[0] || {}).text + (items[1] || {}).text + html;
			GradeId = items[0].value;
			ClassId = items[1].value;
			GetSelectScoresList();
			//返回 false 可以阻止选择框的关闭
			//return false;
		});
	});
}

var start = 0,
	end = 10;

//获取所选班级的所有考试成绩展示列表(分页)
function GetSelectScoresList() {
	if (oldClassId != ClassId) {
		start = 0, end = 10;
	}
	var GetData = {};
	GetData.Uid = localStorage.GUID; //当前用户id
	GetData.Grade = GradeId;
	GetData.Class = ClassId;
	GetData.rowNum = start;
	GetData.nextPageNum = end;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Score.ashx", GetData, "IGetExamListByGradeClassTeaId");
	}
}

//渲染列表
function IGetExamListByGradeClassTeaId(data) {
	if (data == '') {
		if (oldClassId != ClassId) {
			oldClassId = ClassId;
			$("#ScoresList").html('');
		}
		mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
		return mui.toast('没有更多数据了!');
	}
	var guid = [],
		rownum = [],
		name = [],
		max = [],
		min = [],
		avg = [];
	try {
		$(data).each(function(i) { //赋值给数组
			guid.push(data[i].f_GUID);
			rownum.push(data[i].RowNum);
			name.push(data[i].f_Name);
			max.push(data[i].maxScore);
			min.push(data[i].minScore);
			avg.push(data[i].AvgScore);
		});
	} catch (e) {
		//TODO handle the exception
	}
	var ndata = {
		'guid': guid,
		'rownum': rownum,
		'name': name,
		'max': max,
		'min': min,
		'avg': avg,
		'classid': ClassId
	};
	var bt = baidu.template;
	var html = bt('result', ndata);
	//渲染
	$('.mui-loading').remove(); //删除loading div
	if (oldClassId == ClassId) { //如果选择的班级id与上一次相同
		$("#ScoresList").append(html); //追加
	} else {
		$("#ScoresList").html(html); //重新渲染
		oldClassId = ClassId;
	}
	if (data.length < 10) { //判断是否还有数据
		mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
		mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
	} else {
		mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
	}
	start += 10;
	end += 10;
}

//跳转
function Jump() {
	$('#ScoresList').on('tap', 'li', function() {
		localStorage.examid = $(this).data('guid');
		localStorage.classid = $(this).data('classid');
		mui.openWindow('../head/Head_Scores_details.html', '../head/Head_Scores_details.html');
	})
}