/*
 * 报修各列表的加载与操作  hx 2015-11-24
 * LoadTab()          			加载选项卡滑动操作
 * getAllrepair()     			获取与自己相关的全部报修
 * allRepairReturnData(data)    回调函数  全部报修的返回数据  
 * dropDown(index)              下拉刷新  index：页面索引
 * dropUp(index)                上拉加载  index：页面索引
 */

mui.init();
mui.plusReady(function() {
	LoadTab(); //加载选项卡滑动操作
	SeeRepair();
	var deceleration = mui.os.ios ? 0.003 : 0.0009; //阻尼系数
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
});

var start = 0,
	end = 10,
	start1 = 0,
	end1 = 10,
	start2 = 0,
	end2 = 10; //分页初始化
var start3 = 0,
	end3 = 10,
	start4 = 0,
	end4 = 10; //分页初始化
var isDown = true; //用于区分上拉下拉
var ymindex = 0; //页面索引
var ismain = true;

//加载选项卡滑动操作
function LoadTab() {
	getAllrepair(); //加载全部列表
	var item2Show = false,
		item3Show = false,
		item4Show = false,
		item5Show = false; //子选项卡是否显示标志
	var allreairs = "",
		toAeAccepted = "",
		accepted = "",
		isRepair = "",
		reject = ""; //存储各页面的html
	document.querySelector('.mui-slider').addEventListener('slide', function(event) {
		if (event.detail.slideNumber === 1 && !item2Show) {
			//切换到第二个选项卡
			//根据具体业务，动态获得第二个选项卡内容；
			//显示内容
			ymindex = 1;
			getRepairListByType("NULL");
			//改变标志位，下次直接显示
			item2Show = true;

		} else if (event.detail.slideNumber === 2 && !item3Show) {
			//切换到第三个选项卡
			//根据具体业务，动态获得第三个选项卡内容；
			//显示内容
			ymindex = 2;
			getRepairListByType("NULL");
			//改变标志位，下次直接显示
			item3Show = true;

		} else if (event.detail.slideNumber === 3 && !item4Show) {
			item4Show = true;
			ymindex = 3;
			getRepairListByType("NULL");

		} else if (event.detail.slideNumber === 4 && !item5Show) {
			item5Show = true;
			ymindex = 4;
			getRepairListByType("NULL");
		}
	});
}

//获取与自己相关的全部报修
function getAllrepair(seaValue) {
	ismain = true;
	var data = {};
	data.Uid = localStorage.GUID;
	data.start = start;
	data.end = end;
	data.type = 'all';
	data.val = seaValue;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Repair.ashx", data, "allRepairReturnData");
	}
}

//回调函数  全部报修的返回数据
function allRepairReturnData(data) {
	var HtmlStr = "";
	var HtmlRepair = $("#quanbu").html();
	if (data == "") {
		return mui.toast('加载完了!');
	}
	if (isDown) {
		HtmlRepair = "";
	}
	var ZT = "";
	var ZTYS = "";
	var imgPath = "";
	var firstWord;
	var yuanjiaoyanse = '';
	$(data).each(function(i) {
		localStorage.wxg = data[i].iswxg;
		if (data[i].SQ_Img == "" || data[i].SQ_Img == null) {
			imgPath = "";
		} else {
			imgPath = data[i].SQ_Img;
		}

		if (data[i].SQ_StrGrade == "0") {
			ZT = "一<br>般";
		} else {
			ZT = "紧<br>急";
			ZTYS = 'red';
		}
		firstWord = GetFirstWord(data[i].lbname); //获取第一个字符
		if (firstWord == '电') {
			yuanjiaoyanse = '#FF9900';
		} else if (firstWord == '水') {
			yuanjiaoyanse = '#6ACFD1';
		} else if (firstWord == '电教') {
			yuanjiaoyanse = '#99CC33';
		}
		HtmlStr = HtmlStr + RepairHtml.format(
			ZT,
			data[i].f_GUID,
			data[i].SQ_Mark,
			data[i].f_teaName,
			data[i].SQ_Time,
			data[i].SQ_Adress,
			ZTYS,
			firstWord,
			yuanjiaoyanse
		);
	});
	$("#quanbu").html(HtmlRepair + HtmlStr);
	start += 10;
	end += 10;
}

//根据状态获取个列表报修
function getRepairListByType(seaValue) {
	ismain = false;
	var type = "dsl";
	var s = 0,
		e = 8;
	if (ymindex == 1) {
		type = "dsl";
		s = start1;
		e = end1;
	} else if (ymindex == 2) {
		type = "ysl";
		s = start2;
		e = end2;
	} else if (ymindex == 3) {
		type = "ywx";
		s = start3;
		e = end3;
	} else if (ymindex == 4) {
		type = "bh";
		s = start4;
		e = end4;
	}

	var data = {};
	data.Uid = localStorage.GUID;
	data.start = s;
	data.end = e;
	data.type = type;
	data.val = seaValue;
	if (isNetwork()) {
		ajaxRequest("ashxMobile/Repair.ashx", data, "IgetRepairListByType");
	}
}

//回调函数 获取待受理报修数据
function IgetRepairListByType(data) {
	var HtmlStr = "";
	var HtmlRepair = "";
	if (ymindex == 1) {
		HtmlRepair = $("#daishouli").html();
	} else if (ymindex == 2) {
		HtmlRepair = $("#yishouli").html();
	} else if (ymindex == 3) {
		HtmlRepair = $("#yiweixiu").html();
	} else if (ymindex == 4) {
		HtmlRepair = $("#bohui").html();
	}

	if (data == "") {
		return mui.toast('加载完了!');
	}
	if (isDown) {
		HtmlRepair = "";
	}

	$(data).each(function(i) {

		var ZT = "";
		var ZTYS = "";
		var imgPath = "";
		localStorage.wxg = data[i].iswxg;
		if (data[i].SQ_Img == "" || data[i].SQ_Img == null) {
			imgPath = "";
		} else {
			imgPath = data[i].SQ_Img;
		}

		if (data[i].SQ_StrGrade == "0") {
			ZT = "一<br>般";
		} else {
			ZT = "紧<br>急";
			ZTYS = 'red';
		}
		var firstWord = GetFirstWord(data[i].lbname); //获取第一个字符
		var yuanjiaoyanse = '';
		if (firstWord == '电') {
			yuanjiaoyanse = '#FF9900';
		} else if (firstWord == '水') {
			yuanjiaoyanse = '#6ACFD1';
		} else if (firstWord == '电教') {
			yuanjiaoyanse = '#99CC33';
		}
		HtmlStr = HtmlStr + RepairHtml.format(
			ZT,
			data[i].f_GUID,
			data[i].SQ_Mark,
			data[i].f_teaName,
			data[i].SQ_Time,
			data[i].SQ_Adress,
			ZTYS,
			firstWord,
			yuanjiaoyanse
		);
	});
	if (ymindex == 1) {
		$("#daishouli").html(HtmlRepair + HtmlStr);
		start1 += 10;
		end1 += 10;
	} else if (ymindex == 2) {
		$("#yishouli").html(HtmlRepair + HtmlStr);
		start2 += 10;
		end2 += 10;
	} else if (ymindex == 3) {
		$("#yiweixiu").html(HtmlRepair + HtmlStr);
		start3 += 10;
		end3 += 10;
	} else if (ymindex == 4) {
		$("#bohui").html(HtmlRepair + HtmlStr);
		start4 += 10;
		end4 += 10;
	}
}

//上拉刷新  下拉加载
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropDown(index);
							isDown = true;
							self.endPullDownToRefresh();
						}, 1000);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropUp(index);
							isDown = false;
							self.endPullUpToRefresh();
						}, 1000);
					}
				}
			});
		});
	});
})(mui);

//下拉刷新  
function dropDown(index) {
	if (index == 0) {
		$("#quanbu").html();
		start = 0;
		end = 10;
		ymindex = 0;
		getAllrepair("NULL");
	} else if (index == 1) {
		$("#daishouli").html();
		start1 = 0;
		end1 = 10;
		ymindex = 1;
		getRepairListByType("NULL");
	} else if (index == 2) {
		$("#yishouli").html();
		start2 = 0;
		end2 = 10;
		ymindex = 2;
		getRepairListByType("NULL");
	} else if (index == 3) {
		$("#yiweixiu").html();
		start3 = 0;
		end3 = 10;
		ymindex = 3;
		getRepairListByType("NULL");
	} else if (index == 4) {
		$("#bohui").html();
		start4 = 0;
		end4 = 10;
		ymindex = 4;
		getRepairListByType("NULL");
	}
}

//上拉加载  
function dropUp(index) {
	if (index == 0) {
		getAllrepair("NULL");
		ymindex = 0;
	} else if (index == 1) {
		getRepairListByType("NULL");
		ymindex = 1;
	} else if (index == 2) {
		getRepairListByType("NULL");
		ymindex = 2;
	} else if (index == 3) {
		getRepairListByType("NULL");
		ymindex = 3;
	} else if (index == 4) {
		getRepairListByType("NULL");
		ymindex = 4;
	}
}

//查看详情
function SeeRepair() {
	$('ul').on('tap', 'li', function() {
		var nid = $(this).data('nid');
		localStorage.Rid = nid;
		localStorage.isSearch = '0';
		mui.openWindow('repairs_detailedInfo_teacher.html', 'repairs_detailedInfo_teacher.html', {
			show: {
				aniShow: 'slide-in-bottom',
				duration: 300,
			},
			styles: {
				hardwareAccelerated: true,
				bounceBackground: '#FFFFFF',
				bounce: 'vertical',
			}
		});
	})
}

//报修li 用于html拼接
var RepairHtml =
	"<div class='xian'></div>" +
	"<li class='mui-table-view-cell mui-media repairlistclass' data-nid='{1}'>" +
	'<a class="mui-navigate-right">' +
	"<span class='yuanjiao mui-pull-left bianju' style='background:{8};'>{7}</span>" +
	"<div class='mui-media-body'>" +
	"<div class='tag'>" +
	"<span class='iconfont biaoqian {6}'>&#xe609;</span>" +
	"<span class='state'>{0}</span>" +
	"</div>" +
	"<p class='mui-ellipsis' style='color: #000000;'>{2}</p>" +
	"<p class='mui-ellipsis'>{4}</p>" +
	"</div></a>" +
	"</li>"