mui.init({
	gestureConfig: {
		tap: true, //默认为true
		doubletap: true, //默认为false
		longtap: true, //默认为false
		swipe: true, //默认为true
		drag: true, //默认为true
		hold: true, //默认为false，不监听
		release: false //默认为false，不监听
	}
});

mui.plusReady(function() {
	VersionDetection();
	WorkPageJump(); //4个按钮点击
	DownPageJump(); //底部页面跳转
	GetNoticeList(); //公告详情跳转
	getMessageList();//消息信息
	NoticeDetailsJump(); //公告详情跳转
	//delMessage();
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false, //是否显示滚动条
		deceleration: deceleration
	});

})

//底部页面跳转
function DownPageJump() {
	
	document.getElementById("shortcut").addEventListener('tap', function() { //快捷方式

		mui.openWindow('shortcut.html', 'shortcut.html', {
			styles: {
				hardwareAccelerated: true
			},
			waiting: {
				autoShow: false
			},
			show: {
				aniShow: 'zoom-fade-out'
			}
		});
	})
};

//主页面九宫格页面跳转 
function WorkPageJump() {
	document.getElementById("rcgl").addEventListener('tap', function() { //日常管理
		mui.openWindow('../rcgl/home.html', '/rcgl/home.html', {
			styles: {
				hardwareAccelerated: true
			},
			waiting: {
				autoShow: false
			}
		});
	});
	document.getElementById("jxgl").addEventListener('tap', function() { //教学管理
		mui.openWindow('../jxgl/home.html', '/jxgl/home.html', {
			styles: {
				hardwareAccelerated: true
			},
			waiting: {
				autoShow: false
			}
		});
	});
	document.getElementById("jygl").addEventListener('tap', function() { //教研管理
		mui.openWindow('../jygl/home.html', '/jygl/home.html', {
			styles: {
				hardwareAccelerated: true
			},
			waiting: {
				autoShow: false
			}
		});
	});
	document.getElementById("jyugl").addEventListener('tap', function() { //其他
		mui.openWindow('../jyugl/home.html', '/jyugl/home.html', {
			styles: {
				hardwareAccelerated: true
			},
			waiting: {
				autoShow: false
			}
		});
	});
}


var start = 0,
	end = 10; //分页初始化
var isDown = true; //用于区分上拉下拉
var ymindex = 0; //页面索引
var ismain = true;

//获取公告列表
function GetNoticeList() {
	var GetData = {};
	GetData.Uid = localStorage.GUID;
	GetData.start = start;
	GetData.end = end;
	if(isNetwork()) {
		ajaxRequest("ashxMobile/Notice.ashx", GetData, "IGetNoticeList");
	}
}

//渲染获取的数据到页面
function IGetNoticeList(data) {
	
	var str = [];
	$.each(data, function(i,v) {
		if(v.isread == '0'){
			str.push(v);
		}
	});
	

	var gettpl = $("#Notice_List").html();

		laytpl(gettpl).render(data, function(html) {
			if(html!=""){
				$('#Notice_View').html(html);
			}
		});
	
}

//获取消息列表
function getMessageList() {
	var data = {
		Uid: localStorage.GUID
	}
	if(isNetwork()) {
		ajaxRequest("ashxMobile/MessagePush.ashx", data, "IGetMessageList");
	}
}



//跳转到详情页
function NoticeDetailsJump() {
	var nid;
	$('#Notice_View').on('tap', 'li', function() {
		nid = $(this).data('nid');
		localStorage.noticeid = nid; //将公告id存入临时存储
		localStorage.isSearch = '0';
		mui.openWindow('noticeDetails.html', 'noticeDetails.html', {
			styles: {
				hardwareAccelerated: true
			}
		});
	})
}




//上拉刷新  下拉加载
(function($) {
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载
		$.each(document.querySelectorAll('.mui-slider-group #shuaxin'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropDown();
							isDown = true;
							self.endPullDownToRefresh();
						}, 1000);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							dropUp();
							isDown = false;
							self.endPullUpToRefresh();
						}, 1000);
					}
				}
			});
		});
	});
})(mui);

//下拉刷新  
function dropDown() {
	start = 0;
	end = 10;
	GetNoticeList();
}

//上拉加载  
function dropUp() {
	GetNoticeList();
}


var MessageHtml = '<li id="{6}" class="mui-table-view-cell">' +
	'<div class="mui-slider-right mui-disabled">' +
	'<a class="mui-btn mui-btn-red del" data-did="{6}">删除</a></div>' +
	'<div class="mui-slider-handle">' +
	'<img class="mui-media-object mui-pull-left" src="http://dcloudio.github.io/mui/assets/img/shuijiao.jpg">' +
	'<div class="mui-media-body">{0}<span class="notice-time"><i class="iconfont" style="line-height: 20px;">&#xe638;</i>{9}</span><p class="mui-ellipsis ">{2}</p></div></div></li>'



//点击消息事件
function ckMessage() {

}

//删除消息
function delMessage() {
	$('#OA_task_2').on('tap', '.del', function() {
		var did = $(this).data('did');
		if(isNetwork()) {
			$('#' + did).slideUp(300);
			var data = {};
			data.ID = did;
			data.Type = "2";
			ajaxRequest("ashxMobile/MessagePush.ashx", data, "IUpdateMessageType");
		}
	})
}

//双击退出
var preTime = 0;
mui.back = function() {
	var now = new Date().getTime();
	if(now - preTime > 2000) {
		preTime = now;
		mui.toast('再按一次退出应用');
	} else {
		plus.runtime.quit();
	}
};