/**
 *wx 2016-8-2
 */
;(function(root, factory) {

	if ( typeof define === 'function' && define.amd) {
		define(factory);
	} else if ( typeof exports === 'object') {
		module.exports = factory();
	} else {
		root.app = factory();
	}

})(this, function() {
	var app = {};
	app.version = "0.0.5";
	app.actionUrl = "http://218.22.0.89:7172";



	//#获取用户信息
	app.getUserInfo = function(obj) {
		var userInfo = api.readFile({
			sync : true,
			path : 'cache://userInfo.txt'
		});
		userInfo = $api.strToJson(userInfo);
		app.userInfo = {
			FGuid : userInfo.msg.FGuid,
			Username : userInfo.msg.Username,
			Turename : userInfo.msg.Turename
		};
	
		obj(app.userInfo);
	}
	//#end

	//#http get
	app.get = function(url, call) {
		var userInfo = api.readFile({
			sync : true,
			path : 'cache://userInfo.txt'
		});
		var str = "";
		if (userInfo != "") {
			console.log(userInfo)
			userInfo = $api.strToJson(userInfo);

			str = "&Username=" + userInfo.msg.Username + "&Turename=" + userInfo.msg.Turename + "&FGuid=" + userInfo.msg.FGuid;

		};
		api.ajax({
			url : app.actionUrl + "/Api/App/" + url + str,
			type : 'get'
		}, function(ret) {
			console.log(JSON.stringify(ret));
			call(ret);
		});
		console.log(app.actionUrl + "/Api/App/" + url + str);

	};
	//#end

	

	app.lookDoc = function(r) {
		switch(r.A_type) {
			case 1:
				var pdfReader = api.require('pdfReader');
				pdfReader.open({
					path : $api.actionUrl + '/data' + r.A_PDFUrl
				});
				break;
			case 2:
				var videoPlayer = api.require('videoPlayer');
				videoPlayer.play({
					texts : {
						head : {
							title : r.A_name
						}
					},
					styles : {
						head : {
							bg : 'rgba(0.5,0.5,0.5,0.7)',
							height : 44,
							titleSize : 20,
							titleColor : '#fff',
							backSize : 44,
							backImg : 'fs://img/back.png',
							setSize : 44,
							setImg : 'fs://img/set.png'
						},
						foot : {
							bg : 'rgba(0.5,0.5,0.5,0.7)',
							height : 44,
							playSize : 44,
							playImg : 'fs://img/back.png',
							pauseImg : 'fs://img/back.png',
							nextSize : 44,
							nextImg : 'fs://img/back.png',
							timeSize : 14,
							timeColor : '#fff',
							sliderImg : 'fs://img/slder.png',
							progressColor : '#696969',
							progressSelected : '#76EE00'
						}
					},
					path : $api.actionUrl + '/data' + r.A_MP4Url,
					autoPlay : true
				}, function(ret, err) {
					if (ret) {
					} else {
						alert(JSON.stringify(err));
					}
				});
				break;
			case 3:
				var images = [$api.actionUrl + '/data' + r.A_fileUrl];
				var imageBrowser = api.require('imageBrowser');
				imageBrowser.openImages({
					showList : false,
					imageUrls : images
				});
				break;
			default:
				break;
		}
	}
	//	#end


	

	//js获得系统当前日期 yyyy-M-dd HH-mm-ss
	app.getNowFormatDateTime = function() {
		var date = new Date();
		var seperator1 = "-";
		var seperator2 = ":";
		var month = date.getMonth() + 1;
		var strDate = date.getDate();
		var strHour = date.getHours();
		var strMinutes = date.getMinutes();
		if (month >= 1 && month <= 9) {
			month = "0" + month;
		}
		if (strDate >= 0 && strDate <= 9) {
			strDate = "0" + strDate;
		}
		if (strHour >= 0 && strHour <= 9) {
			strHour = "0" + strHour;
		}
		if (strMinutes >= 0 && strMinutes <= 9) {
			strMinutes = "0" + strMinutes;
		}
		var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + strHour + seperator2 + strMinutes + seperator2 + date.getSeconds();
		return currentdate;
	}

	app.exit_app = function() {//双击退出app
		api.addEventListener({
			name : 'keyback'
		}, function(ret, err) {
			api.toast({
				msg : '再按一次退出应用',
				duration : 3000,
				location : 'bottom'
			});
			api.addEventListener({
				name : 'keyback'
			}, function(ret, err) {
				api.closeWidget({
					id : api.appId,
					retData : {
						name : 'closeWidget'
					},
					animation : {
						type : 'flip',
						subType : 'from_bottom',
						duration : 500
					},
					silent : true
				});
			});
			setTimeout(function() {
				app.exit_app();
			}, 3000);
		});
	}

	return app;
});


